%define name	opengroupware-xmlrpcd
%define version 1.0
%define cvs     20040523
%define release %{cvs}.1mdk

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     OpenGroupware.org XML-RPC Daemon
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL:         http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation
Source:      opengroupware.org-xmlrpcd-%{cvs}.tar.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel
BuildRequires: opengroupware-gstep-objc opengroupware-gstep-objc-devel
BuildRequires: opengroupware-libfoundation opengroupware-libfoundation-devel
BuildRequires: opengroupware-libical opengroupware-libical-devel
Requires: opengroupware-libfoundation opengroupware-env
BuildRequires: gcc-objc

%description
This package contains the OpenGroupware.org 4.1 XML-RPC interface.

%prep

%setup -q -n opengroupware.org-xmlrpcd

%build
source %{prefix}/OpenGroupware.org.sh

cd Daemon
make -s debug=yes strip=yes all
cd ..

%install
source %{prefix}/OpenGroupware.org.sh
I=$RPM_BUILD_ROOT%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org

cd Daemon
make debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B WOBUNDLE_INSTALL_DIR=$B

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

%clean
rm  -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/xmlrpcd


%changelog
* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0-20040523.1mdk
- 20040523
- make arch aware

* Thu Feb 12 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0-20040204.1mdk
- 20040204

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-20031201.1mdk
- new snapshot - bugfixes
- specfile cleaning

* Tue Oct 21 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-20031001.1mdk
- new module


